UNIT HexFuncs;

INTERFACE

CONST HexDigit: ARRAY[$0..$F] OF CHAR = '0123456789ABCDEF';

FUNCTION HexB(B: BYTE): STRING;
FUNCTION HexW(W: WORD): STRING;
FUNCTION HexL(L: LONGINT): STRING;
FUNCTION HexP(P: Pointer): STRING;

IMPLEMENTATION

FUNCTION HexB(B: BYTE): STRING;
BEGIN
  HexB := HexDigit[B SHR 4] + HexDigit[B AND $F]
END;

FUNCTION HexW(W: WORD): STRING;
BEGIN
  HexW := HexB(Hi(W)) + HexB(Lo(W))
END;

FUNCTION HexL(L: LONGINT): STRING;
BEGIN
  HexL := HexW(L SHR 16) + HexW(L AND $FFFF)
END;

FUNCTION HexP(P: Pointer): STRING;
BEGIN
  HexP := HexB(LONGINT(P) SHR 16) + ':' + HexW(LONGINT(P) AND $FFFF)
END;

END.
